Bug 119700 - [PATCH] LTC 7092 - zfcp: watchdog for stalled FCP channel
[PATCH] LTC 7092 - zfcp: watchdog for stalled FCP channel
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
high Severity high
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-01 11:27 EST by Georg Markgraf
Modified: 2007-11-30 17:07 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-13 22:31:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix (9.57 KB, patch)
2004-04-07 06:53 EDT, Martin Peschke
no flags Details | Diff

  None (edit)
Description Georg Markgraf 2004-04-01 11:27:48 EST
Description of problem:
Description: zfcp: watchdog for stalled FCP channel
Symptom:     SCSI I/O stall
Problem:     The zfcp driver keeps SCSI commands in a retry loop
             if the FCP channel's queues are full - under the 
assumption
             that this is a transient condition. In case of a grid-
locked
             FCP channel commands juggled within that retry loop never
             finished - hindering the SCSI stacks recovery to reset
             the SCSI adapter, which would help to overcome this 
stall.
Solution:    Use a timestamp for each SCSI command to watch its 
retries
             and fail a SCSI command if a certain timeout has been 
             exceeded (2 minutes).
Archs:       s390-31, s390-64
Branches:    August 2001, kernel 2.4.7 : no
             August 2001, kernel 2.4.17: no
             June 2003,   kernel 2.4.21: yes
FoundOn:     June 2003,   kernel 2.4.21

------- Additional Comment #1 From Michael Holzheu 2004-03-31 11:15 --
-----    Internal Only 

Patches: 2.4.21-June_2003  : linux-2.4.21-s390-12-june2003.tar.gz

URL:     http://oss.software.ibm.com/linux390/index.shtml




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Georg Markgraf 2004-04-01 11:29:23 EST
Hm need real name: is   Hans-Georg Markgraf
Comment 2 Martin Peschke 2004-04-07 06:53:04 EDT
Created attachment 99180 [details]
fix
Comment 3 Pete Zaitcev 2004-07-12 17:19:32 EDT
I'll fold IT#38465 into this as well
Comment 6 Pete Zaitcev 2004-09-01 20:09:21 EDT
Unfortunately, this jumps over the "HBA API" bit, and so I am
unable to apply this patch to our zfcp. Can we ask Jan Glauber
to manufacture us an up-to-date zfcp which we would just drop in?
Comment 7 Pete Zaitcev 2004-09-01 21:11:11 EDT
See also bug 130611 (FZ actually).
Comment 8 Martin Peschke 2004-09-02 04:01:05 EDT
Have no permission for 130611.
However, the zfcp-update patch you request is actually the one that
surfaced at RH weeks ago and caused all the fuss about zfcp.
Jan is on vacation for a few weeks. Maxim and I are going to redo our
zfcp-update patch based on the final update3 kernel as advised in RIT
43819. Could you drop me a line when update3 is final? Thanks.
Comment 9 Ernie Petrides 2004-09-02 16:27:55 EDT
Hello, Martin.  I just added you to the cc: list for FZ #130611,
so you should be able to view it now.  The official U3 kernel is
now available on RHN (erratum is RHBA-2004:433).  The zfcp-update
patch that "surfaced at RH weeks ago" didn't apply successfully to
the RHEL3 source tree (not to U2, not to the latest released "E3"
errata, and not to the latest U3-in-progress CVS branch), which is
why we were unable to release it in U3.
Comment 10 Pete Zaitcev 2005-05-13 22:31:34 EDT
This was in long time ago, I think someone forgot to close. Closing.
Verified against 2.4.21-31.EL.
Comment 11 Ernie Petrides 2005-05-14 02:46:41 EDT
A fix for this problem was committed to the RHEL3 U4 patch pool
on 22-Sep-2004 (in kernel version 2.4.21-20.10.EL).
Comment 12 Ernie Petrides 2005-05-14 02:47:44 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-550.html

Note You need to log in before you can comment on or make changes to this bug.